Syncware
  1. Orders
  • Introduction
    • API
    • Authentication
    • Date Format
    • API Status Codes
  • User
    • Login
      POST
    • Get User
      GET
    • Update Profile
      PUT
  • Orders
    • Query All Orders
      GET
    • Query Single Order
      GET
    • Query Single Order By Id
      GET
    • Create New Order
      POST
    • Get Order Shipments By Order
      GET
    • Post Order Shipments By Order
      POST
    • Query Order Shipments By Order Id
      GET
    • Create Order Shipments By Order Id
      POST
  • Products
    • Query All Products
      GET
    • Create Multiple Products
      POST
    • Update Single Product
      PUT
    • Create New Product
      POST
    • Query Single Product
      GET
    • Update Inventory For Single Product
      POST
    • Update Inventory For Multiple Products
      POST
    • Set Upload for Endpoint
      POST
    • Set Upload for Chain
      POST
  • Customers
    • Query All Customers
      GET
    • Query Single Customer
      GET
    • Create New Customer
      POST
  • Invoices
    • Query All Invoices
  • Packing Slip
    • Generate Packing Slip
  • Retailer
    • Query Retailer Profile
    • Update Retailer Profile
  • Rep
    • Query Rep Connected Vendors
  • Leads
    • Query All Leads
    • Create Lead
    • Update Lead
    • Delete Lead
  • Lead Notes
    • Query All Lead Notes
    • Create Lead Note
    • Update Lead Note
    • Delete Lead Note
    • Delete All Notes By Lead Id
  • Common
    • Get All Sources
    • Get All Status
    • Get All Categories
    • Get All Brands
    • Get All Chains
    • Get All Endpoints
  1. Orders

Get Order Shipments By Order

GET
/orders/{orderIdStr}/shipments
Orders
Last modified:2026-10-22 03:13:01
Get shipments for a particular order.

Request

Authorization
Provide your bearer token in the
Authorization
header when making requests to protected resources.
Example:
Authorization: Bearer ********************
Path Params

Header Params

Responses

🟢200
application/json
OK
Bodyapplication/json

Request Request Example
Shell
JavaScript
Java
Swift
curl --location 'https://api.syncware.com/api/v1/orders/34098876/shipments' \
--header 'X-Vendor: synqware' \
--header 'Authorization: Bearer <token>'
Response Response Example
[
	{
		"ShipperAcctNo": "sample string 1",
		"Status": "sample string 2",
		"ShipDate": "2021-06-12T15:23:03Z",
		"ShipService": "sample string 4",
		"ShipCarrier": "sample string 5",
		"TrackingNumber": "sample string 6",
		"TrackingUrl": "sample string 7",
		"Cost": "sample string 8",
		"LotNumber": "sample string 9",
		"Warehouse": "sample string 10",
		"Weight": "sample string 11",
		"DestinationShipmentId": "sample string 12",
		"InvoiceNo": "sample string 13",
		"InvoiceAmount": "sample string 14",
		"ReturnMethod": "sample string 15",
		"ReturnCarrier": "sample string 16",
		"ReturnTracking": "sample string 17",
		"PackagesCount": "sample string 18",
		"InternalNotes": "sample string 19",
		"BackOrders": "sample string 20",
		"asn_sent": "sample string 21",
		"packs": [
			{
				"packid": "111122223333444455556666",
				"sku": "ITEM-001",
				"qty": "5",
				"tracking_number": "1Z12345667777",
				"pro_number": "BOL-12345",
				"ship_carrier": "FedEx"
			}
		],
		"lines": [
			{
				"LineNumber": 1,
				"LineKey": "",
				"SKU": "ITEM-001",
				"QuantityInvoiced": "5",
				"TxnLineId": ""
			}
		]
	}
]
Previous
Create New Order
Next
Post Order Shipments By Order
Built with